﻿using System.ServiceModel;

namespace WCF_ExactTarget_WebSample.Helper
{
    public class CustomSecurityTokenManager : ClientCredentialsSecurityTokenManager
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="CustomSecurityTokenManager"/> class.
        /// </summary>
        /// <param name="credentials">The credentials.</param>
        public CustomSecurityTokenManager(CustomCredentials credentials)
            : base(credentials)
        {
        }

        /// <summary>
        /// Creates the security token serializer.
        /// </summary>
        /// <param name="version">The version.</param>
        /// <returns></returns>
        public override System.IdentityModel.Selectors.SecurityTokenSerializer CreateSecurityTokenSerializer(System.IdentityModel.Selectors.SecurityTokenVersion version)
        {
            return new CustomTokenSerializer();
        }
    }
}
